<section class="portfolio" id="portfolio">
  <div class="container">
    <div class="row">
      <div class="col-md-8 col-lg-8">
        <% if logged_in? %>
          <div class="row">
            <div class="col-md-12 col-lg-12 alert alert-success %>">
                Welcome, <%= current_user.name %> 
            </div>
          </div>
        <% end %>

        <div class="row mb-4">
          <div class="col-md-6 col-lg-6">
            <h3> Monitored Sites</h3>
          </div>
          <div class="col-md-6 col-lg-6">
            <div class="float-right">
              <%= link_to 'Add new site', new_site_path, class: 'btn btn-primary'%>
              <%= link_to 'Logout', logout_sites_path, class: 'btn btn-secondary'%>
            </div>
          </div>
        </div>
        <table class="table">
          <thead>
            <th>Name</th>
            <th>URL</th>
            <th>Status</th>
            <th>Last Checked</th>
            <th>#</th>
          </thead>

          <tbody>
            <% @sites.each do |site| %>
            <tr class="<%= site.up? ? '' : 'btn-secondary' %>">
              <td><%= site.name %></td>
              <td><%= link_to site.url, site.url, target: '_blank' %></td>
              <td><%= site.status %></td>
              <td><%= site.updated_at.strftime("%B %d %Y, %H:%M:%S") %></td>
              <td><%= link_to 'edit', edit_site_path(site) %> | <%= link_to 'delete', site_path(site), data: {confirm: 'Are you sure?', method: :delete} %></td>
            </tr>
            <% end %>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</section>